class dnsmasq {
  package { "dnsmasq":
    ensure => installed,
  }
}

define dnsmasq::config (
  $dhcp_authoritative,
  $dhcp_range = 'absent',
  $dhcp_option = 'absent',
  $read_ethers,
  $domain = 'absent'
) {

  include dnsmasq
  
    file { "/etc/dnsmasq.d/my.dnsmasq.conf":
      content => template("dnsmasq/my.dnsmasq.conf.erb"),
      owner   => root,
      group   => root,
      mode    => 644,
      require => Package["dnsmasq"],
      notify  => Service["dnsmasq"],
    }
    
    service { "dnsmasq":
      ensure => running,
      hasrestart => true,
      hasstatus => true,
      require => File["/etc/dnsmasq.d/my.dnsmasq.conf"],
    }

}
    
 
